%define name	soundconverter
%define version	0.9.0
%define pre alpha1
%define fversion %version-%pre
%define release %mkrel 0.%pre.1

Name: 	 	%{name}
Summary: 	Sound converter application for the GNOME environment
Version: 	%{version}
Release: 	%{release}

Source:		http://download.berlios.de/soundconverter/%{name}-%{fversion}.tar.bz2
Patch: soundconverter-0.9.0-alpha1-missing.patch.bz2
URL:		http://soundconverter.berlios.de/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
#BuildRequires:  ImageMagick
BuildRequires:  pygtk2.0-devel
BuildRequires:  desktop-file-utils
Requires:	gstreamer0.10-gnomevfs gnome-python-gnomevfs
Requires:	gstreamer0.10-python
Requires:	pygtk2.0-libglade
Requires:	gnome-python-gconf 
Requires:	gnome-python
BuildArch:	noarch
#Suggests: gstreamer0.10-lame

%description
SoundConverter is a simple sound converter application for the GNOME
environment. It reads and writes WAV, FLAC, MP3 and Ogg Vorbis. The user
interface is raw, but should be simple enough to get the job done. 

NOTE: To create MP3 files, you will have to install gstreamer0.10-lame
yourself.

%prep
%setup -q -n %name-%fversion
%patch -p1 -b .missing

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std

perl -pi -e "s/guillaume.bedot wanadoo.fr/littletux zarb.org/" %buildroot%_bindir/soundconverter

#man page
#mkdir -p %buildroot/%_mandir/man1
#cp *.1 %buildroot/%_mandir/man1/
#bzip2 %buildroot/%_mandir/man1/*.1


#menu
mkdir -p %buildroot%{_menudir}
cat << EOF > %buildroot%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="sound_section.png" needs="x11" title="Sound Converter" longtitle="Change sound file formats" section="Multimedia/Sound" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Multimedia" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%find_lang %{name}

%clean
rm -rf %buildroot

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog README TODO
%{_bindir}/%name
%{_datadir}/%name
%{_mandir}/man1/*
%{_menudir}/%name
%{_datadir}/applications/%{name}.desktop

%changelog
* Thu Aug 17 2006 Gtz Waschk <waschk@mandriva.org> 0.9.0-0.alpha1.1mdv2007.0
- replace menu by official one
- fix build
- replace icon
- gstreamer 0.10
- new version

* Sat Aug 12 2006 Guillaume Bedot <littletux@mandriva.org> 0.8.7-1mdv2007.0
- 0.8.7

* Sun Jul  2 2006 Guillaume Bedot <littletux@mandriva.org> 0.8.6-2mdv2007.0
- fix translator email and translation install
- xdg menu

* Wed Jun 28 2006 Guillaume Bedot <littletux@mandriva.org> 0.8.6-1mdv2007.0
- New release 0.8.6

* Tue Jan 24 2006 Austin Acton <austin@mandriva.org> 0.8.3-1mdk
- New release 0.8.3

* Sat Nov 26 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.8.1-2mdk
- fix requires (#16215)

* Wed Nov 23 2005 Austin Acton <austin@mandriva.org> 0.8.1-1mdk
- New release 0.8.1

* Mon Oct 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.0-2mdk
- Fix BuildRequires
- %%mkrel 

* Sun Oct 09 2005 Austin Acton <austin@mandriva.org> 0.8.0-1mdk
- New release 0.8.0

* Thu Jun 16 2005 Lenny Cartier <lenny@mandriva.com> 0.7.2-1mdk
- 0.7.2

* Sat Apr 2 2005 Austin Acton <austin@mandrake.org> 0.7.1-1mdk
- initial package
